Get Contact by External ID

Gets a contact by an external ID at a specific external service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The ID of the contact in the external service.

enum
required

The ID of the external service that the external_contact_id comes from.

string
required

Only return a contact that has a status equal to the defined status. This parameter may be specified multiple times to specify multiple allowed statuses. Defaults to allowing 'N' or 'D' when no parameter is given.

string

The contact email address to search for if a contact is not found with a matching external_contact_id and external_service_id. This is useful for locating contacts that already exist in the system without external ID mappings.

boolean

Whether or not to automatically create a mapping after a fallback search successfully locates a contact. This option only works when combined with the fallback_email parameter. This setting lets you effectively use this one request to search for a contact by an ID, search by email (if not found), and then save the mapping to the system (if missing). Defaults to false.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json